## linux-signed-azure-fde-6.2 6.2.0-1009.9~22.04.3.1

=== debian/changelog ===
linux-signed-azure-fde-6.2 (6.2.0-1009.9~22.04.3.1) jammy; urgency=medium

  * Master version: 6.2.0-1009.9~22.04.3.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 02 Aug 2023 06:38:08 -0600

linux-signed-azure-fde-6.2 (6.2.0-1009.9~22.04.2.1) jammy; urgency=medium

  * Master version: 6.2.0-1009.9~22.04.2.1

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 21 Jul 2023 08:00:44 -0600

linux-signed-azure-fde-6.2 (6.2.0-1009.9~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1009.9~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 19 Jul 2023 12:19:42 -0600

linux-signed-azure-fde-6.2 (6.2.0-1008.8~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1008.8~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 17 Jul 2023 08:49:31 -0600

linux-signed-azure-fde-6.2 (6.2.0-1007.7~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1007.7~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 07 Jul 2023 11:40:53 -0600

linux-signed-azure-fde-6.2 (6.2.0-1005.5~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1005.5~22.04.1.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 06 Jun 2023 12:23:26 -0600

linux-signed-azure-fde-6.2 (6.2.0-1000.0~22.04.0.0) jammy; urgency=medium

  * Dummy entry

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 06 Jun 2023 11:06:41 -0600
