## linux-signed-azure-fde-6.2 6.2.0-1011.11~22.04.1.1

=== debian/changelog ===
linux-signed-azure-fde-6.2 (6.2.0-1011.11~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1011.11~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 23 Aug 2023 13:13:09 -0600

linux-signed-azure-fde-6.2 (6.2.0-1010.10~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1010.10~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 18 Aug 2023 10:02:24 -0600
