=== debian/control ===
Source: linux-signed-azure-fde-6.2
Section: kernel
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 sbsigntool,
 linux-image-unsigned-6.2.0-1011-azure-fde (>= 6.2.0-1011.11~22.04.1.1),
 linux-buildinfo-6.2.0-1011-azure,
Standards-Version: 3.9.4

Package: linux-image-6.2.0-1011-azure-fde
Architecture: amd64
Depends: ${unsigned:Depends}
Recommends: ${unsigned:Recommends}
Suggests: ${unsigned:Suggests}
Conflicts: ${unsigned:Conflicts}
Provides: ${unsigned:Provides}
Built-Using: linux-azure-fde-6.2 (= 6.2.0-1011.11~22.04.1.1)
Description: Signed kernel image azure
 A kernel image for azure.  This version of it is signed with
 Canonical's UEFI/Opal signing key.

Package: linux-image-6.2.0-1011-azure-fde-dbgsym
Section: devel
Architecture: amd64
Depends: linux-image-unsigned-6.2.0-1011-azure-fde-6.2-dbgsym
Description: Signed kernel image azure
 A link to the debugging symbols for the azure signed kernel.
