## linux-signed-azure-fde-6.2 6.2.0-1018.18~22.04.1.1

=== debian/changelog ===
linux-signed-azure-fde-6.2 (6.2.0-1018.18~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1018.18~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 22 Nov 2023 13:45:10 -0700

linux-signed-azure-fde-6.2 (6.2.0-1017.17~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1017.17~22.04.1.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 06 Nov 2023 04:29:00 -0700

linux-signed-azure-fde-6.2 (6.2.0-1016.16~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1016.16~22.04.1.1

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 13 Oct 2023 12:30:33 -0600

linux-signed-azure-fde-6.2 (6.2.0-1015.15~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1015.15~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 06 Oct 2023 09:08:30 -0600
