## linux-signed-azure-fde-6.2 6.2.0-1019.19~22.04.1.1

=== debian/changelog ===
linux-signed-azure-fde-6.2 (6.2.0-1019.19~22.04.1.1) jammy; urgency=medium

  * Master version: 6.2.0-1019.19~22.04.1.1

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 15 Jan 2024 11:11:24 -0700
